const isRefreshPage = {
  state: {
    refreshClewPage: false, //刷新客资页面
    deviceOutsidePage: false, //刷新计划外页面
  },

  mutations: {
    SET_REFRESH_CLEW_PAGE: (state, value) => {
      state.refreshClewPage = value;
    },
    SET_DEVICE_OUTSIDE_PAGE: (state, value) => {
      state.deviceOutsidePage = value;
    },
  },

  actions: {
    setRefreshClewPage({ commit }, value) {
      commit('SET_REFRESH_CLEW_PAGE', value);
    },
    setDeviceOutsidePage({ commit }, value) {
      commit('SET_DEVICE_OUTSIDE_PAGE', value);
    },
  },
};

export default isRefreshPage;
